Bug 1380675 - Emoji leaves the candidates of @laugh when @laughing is typed
Summary: Emoji leaves the candidates of @laugh when @laughing is typed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-30 10:11 UTC by Pravin Satpute
Modified: 2016-10-10 17:42 UTC (History)
5 users (show)

Fixed In Version: ibus-1.5.14-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 17:42:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Pravin Satpute 2016-09-30 10:11:21 UTC
Description of problem:
control+shift+e  laughing, after pressing enter ideally first emoji should get enter but its not happening.

Version-Release number of selected component (if applicable):
IBus 1.5.4-2 

How reproducible:
everytime

Steps to Reproduce:
1. control+shift+e
2. laughing
3. press enter

Actual results:
Not emoji getting entered

Expected results:
First emoji should get entered

Additional info:

Comment 1 fujiwara 2016-09-30 11:12:21 UTC
I don't assume adjective but noun only.
"1" and "100", "a" and "apple" should be different so I don't think the prefix is a good idea.

Comment 2 Pravin Satpute 2016-10-03 09:54:07 UTC
Aha, you mean not exact match with Emoji name.
But When i am typing 
- control+shift+e It means i am expecting Emoji output.
- In above case @laughing gives me 2 Emoji in candidate Windows, so when i press enter key i expect selected Candidate option should get entered into Gedit. 

But presently nothing happen after enter key press.

Comment 3 fujiwara 2016-10-03 10:16:43 UTC
Yes, "laugh" hits the emojis.
Probably I think the lookup window should be cleared with "laughi".

Comment 4 Pravin Satpute 2016-10-05 05:52:05 UTC
Right, even that can work. Simply clear lookup Window :)

Comment 5 Fedora Update System 2016-10-06 20:58:29 UTC
ibus-1.5.14-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6f55dbadd

Comment 6 Fedora Update System 2016-10-10 17:42:29 UTC
ibus-1.5.14-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.